# BEGIN SourceDeps(oneline):
BuildRequires: perl(Coro.pm) perl(Import/Into.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Sub/Util.pm) perl(Test/Lib.pm)
# END SourceDeps(oneline)
%define module_name Mojo-AsyncAwait
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: An Async/Await implementation for Mojolicious
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JB/JBERGER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Async/await is a language-independent pattern that allows nonblocking
asynchronous code to be structured simliarly to blocking code. This is done by
allowing execution to be suspended by the await keyword and returning once the
promise passed to await has been fulfilled.

This pattern simplies the use of both promises and nonblocking code in general
and is therefore a very exciting development for writing asynchronous systems.

If you are going to use this module to create async controllers actions in
the Mojolicious manpage applications (as seen in the the SYNOPSIS entry elsewhere in this document), you are highly
encouraged to also use the Mojolicious::Plugin::PromiseActions manpage in order to
properly handle exceptions in your action.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Tue Nov 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

